import path from 'path';
import { parseArgs } from 'node:util';
import { startLwcDevServer } from './server/index.js';
import { Workspace } from './types/index.js';
const logger = {
    // eslint-disable-next-line no-console
    debug: console.log,
    // eslint-disable-next-line no-console
    error: console.error,
    trace: () => { },
    // eslint-disable-next-line no-console
    info: console.log,
};
const { values: { 'root-dir': rootDir, paths, port }, } = parseArgs({
    args: process.argv.slice(2),
    options: {
        port: {
            type: 'string',
        },
        [`root-dir`]: {
            type: 'string',
        },
        paths: {
            type: 'string',
            multiple: true,
        },
    },
});
if (!rootDir)
    throw new Error(`root-dir is required`);
if (!paths)
    throw new Error(`paths is required`);
startLwcDevServer({
    rootDir,
    paths: paths.map((p) => path.join(rootDir, p)),
    port: +(port || 50182),
    workspace: Workspace.Internal,
}, logger);
//# sourceMappingURL=bin.js.map