import { HMR_Data_Outbound, HMR_Data_Inbound } from '@lwc/lwc-dev-server-types';
import { TransformOptions } from '@lwc/compiler';
import { DevServerContext } from '../../types/devServer.js';
import { Connection } from './connection.js';
/**
 * Class representing a client that has connected to the dev server.
 * This class represents a client that is connected and ready to receive hot module updates.
 * After the hmr-client is connected, all communication between itself and lwc-dev-server are handled
 * by this class.
 */
export declare class Client {
    clientId: string;
    url: string;
    connection: Connection;
    ctx: DevServerContext;
    compileOptions: Map<string, TransformOptions>;
    constructor(clientId: string, url: string, connection: Connection, ctx: DevServerContext);
    onClose(callback: () => void): void;
    send(data: HMR_Data_Outbound): void;
    messageCallback(data: HMR_Data_Inbound): Promise<void>;
    private sendUpdatedModule;
    close(): void;
}
