import * as Websocket from 'ws';
import { type HMR_Data_Inbound, type HMR_Data_Outbound } from '@lwc/lwc-dev-server-types';
import { Logger } from '@salesforce/core';
/**
 * This class represents a WebSocket connection.
 * It provides methods to marshal and unmarshal data between hmr-client and dev server.
 */
export declare class Connection {
    socket: Websocket.WebSocket;
    logger: Logger;
    constructor(socket: Websocket.WebSocket, logger: Logger);
    close(): void;
    onClose(callback: () => void): void;
    send(data: HMR_Data_Outbound): void;
    receive(callback: (data: HMR_Data_Inbound) => void): void;
}
