import { Logger } from '@salesforce/core';
import { ServerConfig } from '../../types/index.js';
import { Connection } from './connection.js';
/**
 * Wrapper over WebSocketServer that does authentication and produces `Connection`s
 */
export declare class AuthenticatedWebSocketServer {
    private logger;
    private wss;
    identityToken: string | undefined;
    constructor({ port, https: httpsConfig, identityToken }: ServerConfig, logger: Logger);
    close(): void;
    onNewConnection(callback: (connection: Connection, url: string) => void): void;
}
