import path from 'node:path';
import { getComponentParts } from '../fileReader';
function formatPaths(input) {
    return Object.fromEntries(Object.keys(input).map((k) => {
        return [k, input[k].moduleSourceHash];
    }));
}
describe('internal workspace type', () => {
    it('gets modules parts of an internal component', () => {
        const moduleParts = getComponentParts(path.join(__dirname, './data/internal/ui-force-components/modules/ns/sample'));
        expect(moduleParts).not.toBeUndefined();
        expect(formatPaths(moduleParts)).toMatchSnapshot();
    });
});
describe('salesforce cli workspace type', () => {
    it('gets modules parts of an external component', () => {
        const moduleParts = getComponentParts(path.join(__dirname, './data/sfdx/force-app/main/default/lwc/myComponent'));
        expect(moduleParts).not.toBeUndefined();
        expect(formatPaths(moduleParts)).toMatchSnapshot();
    });
});
//# sourceMappingURL=fileReader.spec.js.map