import path from 'node:path';
import { Workspace } from '../../../../types/serverConfig';
import MrtWorkspaceScanner from '../mrt';
describe('MRT Workspace Scanner', () => {
    let workspaceScanner;
    beforeAll(() => {
        workspaceScanner = new MrtWorkspaceScanner(Workspace.Mrt, [path.resolve(__dirname, './data/mrt/some-path')], {});
    });
    it('should return correct namespace', () => {
        const dirs = workspaceScanner.findModuleDirs();
        expect(dirs.length).toBe(1);
        dirs.forEach((dir) => {
            expect(workspaceScanner.getNamespace(dir)).toEqual('ns');
        });
    });
});
//# sourceMappingURL=mrt.spec.js.map