import path from 'node:path';
import { Workspace } from '../../../../types/serverConfig';
import SalesforceCliWorkspaceScanner from '../salesforceCli';
describe('SF Cli Workspace Scanner', () => {
    let workspaceScanner;
    beforeAll(() => {
        workspaceScanner = new SalesforceCliWorkspaceScanner(Workspace.SfCli, [path.resolve(__dirname, 'data/sfdx/force-app/main/default')], {});
    });
    it('should return correct namespace', () => {
        const dirs = workspaceScanner.findModuleDirs();
        expect(dirs.length).toBe(1);
        dirs.forEach((dir) => {
            expect(workspaceScanner.getNamespace(dir)).toEqual('c');
        });
    });
});
//# sourceMappingURL=sfcli.spec.js.map