import type { ModuleInfo } from '../module.js';
/**
 * Files in folders with __ or __docs__ aren't supposed to be included in LWCs sources
 * @param file file path
 * @returns true if file is in a valid LWC folder
 */
export declare function isFileInValidLwcFolder(file: string): boolean;
/**
 * Get all parts of an LWC component.
 * @param componentDir A directory representing an LWC Component.
 * @param namespace String representing the namespace of the component
 * @param ownerModuleId Owner module in format like <namespace>/<component-name>.
 * @returns A map representing all valid parts of the LWC with the short path as the key and full
 *  canonical path as value.
 */
export declare function getComponentParts(componentDir: string): {
    [key: string]: ModuleInfo;
} | undefined;
