import { Workspace } from '../../../types/index.js';
import InternalWorkspaceScanner from './internal.js';
import SalesforceCliWorkspaceScanner from './salesforceCli.js';
import MrtWorkspaceScanner from './mrt.js';
export function getWorkspaceScanner(config, logger) {
    const { paths: modulesPaths, excludePaths, workspace } = config;
    switch (workspace) {
        case Workspace.Internal:
            return new InternalWorkspaceScanner(Workspace.Internal, modulesPaths, logger, excludePaths);
        case Workspace.SfCli:
            return new SalesforceCliWorkspaceScanner(Workspace.SfCli, modulesPaths, logger, [], config.namespace);
        case Workspace.Mrt:
            return new MrtWorkspaceScanner(Workspace.Mrt, modulesPaths, logger);
    }
}
//# sourceMappingURL=index.js.map