import path from 'node:path';
import { globSync } from 'glob';
import { BaseWorkspaceScanner } from './scanner.js';
/**
 * This scanner will accept paths and builds a list of module ids to component paths.
 */
export default class InternalWorkspaceScanner extends BaseWorkspaceScanner {
    findModuleDirs() {
        let lwcDirs = this.modulesPaths.flatMap((uimodule) => globSync(`${uimodule}/**/modules/*/*/`));
        if (this.excludePaths) {
            lwcDirs = lwcDirs.filter((dir) => !this.excludePaths.includes(dir));
        }
        return lwcDirs;
    }
    getNamespace(moduleDir) {
        return path.basename(path.dirname(moduleDir));
    }
}
//# sourceMappingURL=internal.js.map