import path from 'node:path';
import { getChildDirPaths } from '../../util/fileUtil.js';
import { BaseWorkspaceScanner } from './scanner.js';
export default class MrtWorkspaceScanner extends BaseWorkspaceScanner {
    getNamespace(moduleDir) {
        return path.basename(path.dirname(moduleDir));
    }
    findModuleDirs() {
        const lwcDirs = [];
        for (const modPath of this.modulesPaths) {
            const namespaces = getChildDirPaths(modPath);
            for (const namespacePath of namespaces) {
                lwcDirs.push(...getChildDirPaths(namespacePath));
            }
        }
        return lwcDirs;
    }
}
//# sourceMappingURL=mrt.js.map