import { globSync } from 'glob';
import { BaseWorkspaceScanner } from './scanner.js';
/**
 * This scanner will accept paths and builds a list of module ids to component paths.
 */
export default class SalesforceCliWorkspaceScanner extends BaseWorkspaceScanner {
    constructor(workspace, modulesPaths, logger, excludePaths, namespace) {
        super(workspace, modulesPaths, logger, excludePaths);
        this.namespace = namespace;
    }
    findModuleDirs() {
        return this.modulesPaths.flatMap((packageDir) => globSync(`${packageDir}/*/`));
    }
    getNamespace(_moduleDir) {
        return this.namespace ?? 'c';
    }
}
//# sourceMappingURL=salesforceCli.js.map