export const measureOperationTime = async (eventName, operation, lifecycle) => {
    const start = performance.now();
    const result = await operation();
    if (lifecycle) {
        const end = performance.now();
        const duration = (end - start).toFixed(2);
        lifecycle.emitTelemetry({
            eventName,
            value: duration,
        });
    }
    return result;
};
//# sourceMappingURL=telemetry.js.map